From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/dill/
Date: Tue, 16 Jun 2020 08:18:57 +0000 (UTC) [thread overview]
Message-ID: <1592295527.a03ec6649202416a96415bd063481e1b86695958.mgorny@gentoo> (raw)
commit: a03ec6649202416a96415bd063481e1b86695958
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 16 06:47:52 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 16 08:18:47 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a03ec664
dev-python/dill: Bump to 0.3.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/dill/Manifest | 1 +
dev-python/dill/dill-0.3.2.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/dill/Manifest b/dev-python/dill/Manifest
index 92665692295..27046d21661 100644
--- a/dev-python/dill/Manifest
+++ b/dev-python/dill/Manifest
@@ -1 +1,2 @@
DIST dill-0.3.1.1.tar.gz 151986 BLAKE2B 71b364730805974117cb00965a2276aa240b6265f2a98ae8e70ca2f9d8bf7a4b801fac083f2395932fdc016de3f068fb46091f296910ce96725bc982e774a40a SHA512 e61610451972522316d7ed6bc8287e38521fcd2e6736b43200ae498f24596994caec92313be1da71cf1b536fbbe01505673fc8018bfcbaf7705147a294565ab9
+DIST dill-0.3.2.gh.tar.gz 148972 BLAKE2B a807350a2d2bb84e705d20c9c60d47834b41863b862a5d347ebc32273c1b9479c568cd3018126adb1cd052bb00f50e8424f7118b37524329458150b9a3e59e3d SHA512 74a0c01dd7c0126c7de21a3b3660e51486fec17f64f23b8e7f23b70243209908573fef8851f6eda53868e89ef1a8a5e351a3ef81dd9cb3e122a2dba33a86bbe1
diff --git a/dev-python/dill/dill-0.3.2.ebuild b/dev-python/dill/dill-0.3.2.ebuild
new file mode 100644
index 00000000000..32554341e09
--- /dev/null
+++ b/dev-python/dill/dill-0.3.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Serialize all of python (almost)"
+HOMEPAGE="https://pypi.org/project/dill/"
+SRC_URI="
+ https://github.com/uqfoundation/dill/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ local fail= t
+ for t in tests/test_*.py; do
+ ebegin "\t${t}"
+ "${EPYTHON}" "${t}"
+ eend || fail=1
+ done
+
+ [[ ${fail} ]] && die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2020-06-16 8:19 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-16 8:18 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-19 8:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/dill/ Michał Górny
2024-10-19 7:47 Arthur Zamarin
2024-09-29 3:01 Michał Górny
2024-07-26 15:28 Michał Górny
2024-07-26 14:12 Arthur Zamarin
2024-07-08 17:44 Michał Górny
2024-07-08 17:44 Michał Górny
2024-07-08 17:44 Michał Górny
2024-06-25 10:40 Petr Vaněk
2024-02-11 13:14 Michał Górny
2024-02-11 6:01 Sam James
2024-01-28 3:51 Michał Górny
2023-11-17 10:44 Andrew Ammerlaan
2023-08-24 12:47 Michał Górny
2023-07-23 6:53 Michał Górny
2022-11-06 7:59 Michał Górny
2022-11-06 7:24 Sam James
2022-10-24 5:14 Michał Górny
2022-06-21 18:48 Arthur Zamarin
2022-06-21 18:32 Arthur Zamarin
2022-05-28 20:43 Jakov Smolić
2022-05-21 6:47 Michał Górny
2022-05-20 8:29 Michał Górny
2022-05-04 14:42 Sam James
2022-04-29 3:09 Sam James
2022-04-26 18:59 Arthur Zamarin
2022-04-26 18:59 Arthur Zamarin
2022-04-26 18:59 Arthur Zamarin
2022-04-26 18:55 Michał Górny
2022-04-26 17:11 Arthur Zamarin
2022-04-10 2:56 Matt Turner
2022-04-09 19:41 Arthur Zamarin
2022-04-09 19:41 Arthur Zamarin
2022-04-09 19:41 Arthur Zamarin
2022-04-09 19:26 Arthur Zamarin
2022-03-27 20:20 James Le Cuirot
2022-03-26 16:52 Arthur Zamarin
2022-03-25 8:30 Jakov Smolić
2022-03-25 0:02 Michał Górny
2021-07-24 17:30 Michał Górny
2021-07-24 15:12 Sam James
2021-06-14 6:51 Michał Górny
2021-05-07 11:25 Michał Górny
2020-12-13 12:15 Michał Górny
2020-12-13 8:58 Sam James
2020-12-11 23:07 Sergei Trofimovich
2020-11-02 9:49 Michał Górny
2020-07-30 20:41 Michał Górny
2020-07-30 20:03 Sam James
2020-07-30 19:39 Sam James
2020-06-06 13:17 Andreas Sturmlechner
2020-03-26 20:35 Michał Górny
2020-02-02 15:34 Michał Górny
2019-12-17 18:40 Conrad Kostecki
2019-09-29 6:48 Michał Górny
2019-06-29 8:15 Michał Górny
2019-04-09 7:05 Matthew Thode
2017-12-28 14:03 Sergei Trofimovich
2017-12-02 20:55 Mike Gilbert
2017-06-21 9:44 Alexis Ballier
2017-03-16 8:00 Zac Medico
2017-03-13 21:48 Amadeusz Piotr Żołnowski
2016-10-06 21:14 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1592295527.a03ec6649202416a96415bd063481e1b86695958.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox